using SewingDressesDataModels.Models;
using System.ComponentModel;

namespace SewingDressesContracts.ViewModels
{
	public class MessageInfoViewModel : IMessageInfoModel
	{
		public string MessageId { get; set; } = string.Empty;

		public int? ClientId { get; set; }
		[DisplayName("Имя отправителя")]
		public string SenderName { get; set; } = string.Empty;
		[DisplayName("Дата доставки")]
		public DateTime DateDelivery { get; set; }
		[DisplayName("Тема письма")]
		public string Subject { get; set; } = string.Empty;
		[DisplayName("Внутренности письма")]
		public string Body { get; set; } = string.Empty;
	}
}
